//header file for the daikatana menu interface
#pragma once

//called every frame with the amount the mouse moved since last frame.
#ifdef __cplusplus
extern "C" {
#endif

void DKM_Enter();
void DKM_Leave();
    
void DKM_MouseMove(int mx, int my);
void DKM_MousePos(int x, int y);
void DKM_MouseDown();
void DKM_MouseUp();

//draws the 2-d portion of the interface.
void DKM_Draw();

void DKM_Key(int key, qboolean down);

//returns 1 if the menu is active, 0 otherwise.
int DKM_InMenu();




#ifdef __cplusplus
}
#endif

